Skip to main content
PATCH
/
api
/
v1
/
organizations
/
{organizationId}
/
organigram
/
nodes
/
{nodeId}
cURL
curl -sS -X PATCH "$FLUIDE_BASE_URL/api/v1/organizations/string/organigram/nodes/string" \
  -H "Content-Type: application/json" \
  -d '{}'
{
  "success": true,
  "message": "Operation completed successfully",
  "data": {}
}

Path Parameters

organizationId
string
required

organizationId identifier

nodeId
string
required

nodeId identifier

Body

application/json
name
string
Required string length: 1 - 512
parentId
string<uuid> | null
companyId
string<uuid> | null
code
string | null
Maximum string length: 128
sortOrder
number
metadata
object

Response

Update Node

success
boolean
required

Whether the request succeeded

Example:

true

message
string
required

Human-readable outcome message (localized when i18n is configured)

Example:

"Operation completed successfully"

data
object

Endpoint-specific payload